gi-pango-1.0.23: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Pango.Objects.EngineShape

Contents

- Exported types
- Methods
  - Overloaded methods

Description

The `EngineShape` class is implemented by engines that customize the rendering-system dependent part of the Pango pipeline for a particular script or language. A `EngineShape` implementation is then specific to both a particular rendering system or group of rendering systems and to a particular script. For instance, there is one `EngineShape` implementation to handle shaping Arabic for Fontconfig-based backends.

Synopsis

- newtype EngineShape = EngineShape (ManagedPtr EngineShape)
- class (GObject o, IsDescendantOf EngineShape o) => IsEngineShape o
- toEngineShape :: (MonadIO m, IsEngineShape o) => o -> m EngineShape

# Exported types

newtype EngineShape Source #

Memory-managed wrapper type.

Constructors

EngineShape (ManagedPtr EngineShape) |

#### Instances

Instances details

Eq EngineShape Source # |
Instance details Defined in GI.Pango.Objects.EngineShape Methods (==) :: EngineShape -> EngineShape -> Bool # (/=) :: EngineShape -> EngineShape -> Bool #
GObject EngineShape Source # |
Instance details Defined in GI.Pango.Objects.EngineShape
TypedObject EngineShape Source # |
Instance details Defined in GI.Pango.Objects.EngineShape Methods glibType :: IO GType Source #
ManagedPtrNewtype EngineShape Source # |
Instance details Defined in GI.Pango.Objects.EngineShape Methods toManagedPtr :: EngineShape -> ManagedPtr EngineShape Source #
IsGValue EngineShape Source # | Convert `EngineShape` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Pango.Objects.EngineShape Methods toGValue :: EngineShape -> IO GValue Source # fromGValue :: GValue -> IO EngineShape Source #
HasParentTypes EngineShape Source # |
Instance details Defined in GI.Pango.Objects.EngineShape
type ParentTypes EngineShape Source # |
Instance details Defined in GI.Pango.Objects.EngineShape type ParentTypes EngineShape = '[Engine, Object]

class (GObject o, IsDescendantOf EngineShape o) => IsEngineShape o Source #

Type class for types which can be safely cast to `EngineShape`, for instance with `toEngineShape`.

#### Instances

Instances details

(GObject o, IsDescendantOf EngineShape o) => IsEngineShape o Source # |
Instance details Defined in GI.Pango.Objects.EngineShape

toEngineShape :: (MonadIO m, IsEngineShape o) => o -> m EngineShape Source #

Cast to `EngineShape`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods